#============================================================================
# Read Template
#============================================================================

print "opening template 'platform'"
readTemplate(r'BEA_HOME/weblogic81/common/templates/domains/platform.jar')

#============================================================================
# Domain
#============================================================================

cd ('/')
cmo.setName('platformDomain')

#============================================================================
# User
#============================================================================

cd ('/')
cd('Security/platformDomain/User/weblogic')
cmo.setPassword('weblogic')

#============================================================================
# Administration Server
#============================================================================

cd('/')
cd('Server/cgServer')
cmo.setListenAddress('192.168.10.19')
cmo.setListenPort(9101)

cd('SSL/cgServer')
cmo.setEnabled(1)
cmo.setListenPort(9102)
cmo.setHostnameVerificationIgnored(1)

#============================================================================
# JDBC connection pools
#============================================================================

cd ('/')
cd ('JDBCConnectionPool')

nonXApools = 'cgJMSPool-nonXA',
for pool in nonXApools:
  print "configuring non-XA pool '" + pool + "'"
  cd (pool)
  cmo.setDriverName('oracle.jdbc.OracleDriver')
  cmo.setUserName('SCOTT')
  cmo.setPassword('{3DES}I5fj3vh4+nI=')
  cmo.setURL('jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=racdb1)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=racdb2)(PORT=1521))(FAILOVER=on)(LOAD_BALANCE=off))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=racdb.beasys.com)))')
  cmo.setTestConnectionsOnReserve(1)
  cmo.setCountOfTestFailuresTillFlush(1)
  cmo.setTestTableName('dual')
  cmo.setInitialCapacity(5)
  cmo.setMaxCapacity(5)
  cd ('..')

XApools = 'cgPool', 'bpmArchPool', 'portalPool'
for pool in XApools:
  print "configuring XA pool '" + pool + "'"
  cd (pool)
  cmo.setDriverName('oracle.jdbc.xa.client.OracleXADataSource')
  cmo.setUserName('SCOTT')
  cmo.setPassword('{3DES}I5fj3vh4+nI=')
  cmo.setURL('jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=racdb1)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=racdb2)(PORT=1521))(FAILOVER=on)(LOAD_BALANCE=off))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=racdb.beasys.com)))')
  cmo.setTestConnectionsOnReserve(1)
  cmo.setCountOfTestFailuresTillFlush(1)
  cmo.setTestTableName('dual')
  cmo.setSupportsLocalTransaction(1)
  cmo.setKeepXAConnTillTxComplete(1)
  cmo.setInitialCapacity(5)
  cmo.setMaxCapacity(5)
  cmo.setXASetTransactionTimeout(1)
  cmo.setXATransactionTimeout(120)
  cmo.setStatementCacheSize(15)
  cmo.setConnectionReserveTimeoutSeconds(120)
  cmo.setRefreshMinutes(1)
  cd ('..')

#============================================================================
# Options
#============================================================================

setOption('OverwriteDomain', 'true')
setOption('CreateStartMenu','false')
setOption('ServerStartMode','prod')
setOption('JavaHome',r'BEA_HOME/jrockit81sp4_142_05')

#============================================================================
# Write Domain and Close Template
#============================================================================

writeDomain(r'BEA_HOME/user_projects/domains/platformDomain')
closeTemplate()
